Skip to content

Generate a risk assessment

Request

Beta
OAuth 2.0 scope:
  • okta.governance.riskRule.read
Admin roles:
  • APP_ADMIN

Generates a risk assessment if access is granted

Bodyapplication/jsonrequired

Risk assessment request parameters. You must specify either one of the following parameters:

  • resourceOrn
  • resourceOrnList

Okta recommends that you use the resourceOrnList parameter.

principalOrnstring, (okta-user-orn)(user-orn)required

The Okta user in ORN format

Example:"orn:okta:directory:00o8rk36Bp5eZKOrw0g4:users:00u1ktfFMZ5HNoj7k0g4"
resourceOrnListArray of strings, [ 1 .. 20 ] items

List of resources in ORN format. The resource can be a collection, a bundle, or an entitlement. The list must contain the same resource type. The maximum items in the list depends on the resource type:

  • Maximum list size for a collection is 1.
  • Maximum list size for a bundle is 1.
  • Maximum list size for entitlements is 20.
resourceOrnstring, (okta-resource-orn)(okta-resource-orn)

The id of the resource in ORN format. The resource can be a collection, a bundle, or an entitlement.

POST
/governance/api/v1/risk-rule-assessments
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/governance/api/v1/risk-rule-assessments \
  -H 'Content-Type: application/json' \
  -d '{
    "principalOrn": "orn:okta:directory:00o11edPwGqbUrsDm0g4:users:00ub0oNGTSWTBKOLGLNR",
    "resourceOrn": "orn:okta:governance:00o11edPwGqbUrsDm0g4:entitlement-bundles:enbogpaj3XUzcM62u1d6"
  }'

Responses

Risk assessment results for the requested resource

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects, <= 200 items(rule-conflict)required

List of conflicts for the requested resource

Response
A list of risk-rule conflicts
{ "data": [ {}, {} ], "_links": { "href": "https://okta-myorg.pixtulate.com/governance/api/v1/risk-rule-assessments?limit=20" } }